Skip to content
PaalChat Docs

Get consent and preferences

.md
GET
https://whatsapp.paaltech.org/api/v1/businesses/{external_id}/contacts/{id}/consents

Token ability: contacts.read ยท Authentication

The contact's consent per category (granted, revoked = opted out, or null) and their notification preferences.

Path parameters

external_id string required

Your own ID for the business (Multi-SKUUL - the tenant ID).

Max 191 characters. Pattern ^[A-Za-z0-9._:-]+$.

id integer required

Responses

200

Consent and preferences.

401

unauthenticated - missing, invalid, revoked or expired token

403

missing_ability, product_suspended or product_token_required

404

not_found - not yours, or does not exist

429

rate_limited - over 300 requests/minute for this product

Errors always look like {"error": {"code", "message"}} - see Errors and status codes.